Author Topic: ssget HELP  (Read 189 times)

0 Members and 1 Guest are viewing this topic.

sln8458

  • Newt
  • Posts: 82
  • CMS Intellicad 9.0/10.0
ssget HELP
« on: February 26, 2021, 10:00:37 AM »
I'm trying to create a selection set of 3Dsolids to be subtracted from another 3dsolid.
First I wanted to a see the selection set move to verify the code.
ALL of the first selection set exist on a new layer HOLES, there is nothing else on this layer.
However i keep getting 'bad argument'
My first attempt was:
Code: [Select]
(command "move" (ssget "_x" ((0 . "3DSOLID")(8 . "HOLES"))) "0,0,0" "500,0,0")Failed:bad argument
Further reading on the net suggested adding sssetfirst:
Code: [Select]
(command "move" (sssetfirst nil(ssget "_x" ((0 . "3DSOLID")(8 . "HOLES")))) "0,0,0" "500,0,0")Again failed:bad argument

Any pointers please?


S
There is no such  thing as a 'silly question' to those who do not know!

Jeff_M

  • King Gator
  • Posts: 3999
  • C3D user & customizer
Re: ssget HELP
« Reply #1 on: February 26, 2021, 10:46:48 AM »
You are missing the quote for the list and the return after getting the selection:
Code - Auto/Visual Lisp: [Select]
  1. (command "move" (ssget "_x" '((0 . "3DSOLID")(8 . "HOLES"))) "" "0,0,0" "500,0,0")
  2.  

sln8458

  • Newt
  • Posts: 82
  • CMS Intellicad 9.0/10.0
Re: ssget HELP
« Reply #2 on: February 26, 2021, 11:26:02 AM »
Thanks Jeff

All that head scratching for just a single '  Arhhhh
Plus the ""
There is no such  thing as a 'silly question' to those who do not know!